Bug 182029 - 1.4.2.1 breaks my keyring: "mpi larger than indicated length"
1.4.2.1 breaks my keyring: "mpi larger than indicated length"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnupg (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Mike McLean
:
Depends On:
Blocks: 182163
  Show dependency treegraph
 
Reported: 2006-02-19 07:00 EST by Enrico Scholz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.4.2.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 15:35:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2006-02-19 07:00:34 EST
Description of problem:

After update to 1.4.2.1 my keyrings becomes unusable; now I get

| $ LANG=C gpg --update-trustdb
| gpg: mpi larger than indicated length (2 bytes)
| gpg: keyring_get_keyblock: read error: invalid packet
| gpg: keyring_get_keyblock failed: invalid keyring
| gpg: failed to rebuild keyring cache: invalid keyring
| gpg: buffer shorter than subpacket
| gpg: buffer shorter than subpacket
| gpg: signature packet without keyid
| gpg: buffer shorter than subpacket
| gpg: mpi larger than indicated length (2 bytes)
| gpg: keyring_get_keyblock: read error: invalid packet
| gpg: keyring_get_keyblock failed: invalid keyring
| gpg: failed to rebuild keyring cache: invalid keyring
| gpg: 3 marginal(s) needed, 1 complete(s) needed, PGP trust model
| gpg: mpi larger than indicated length (2 bytes)
| gpg: keyring_get_keyblock: read error: invalid packet
| gpg: keydb_get_keyblock failed: invalid keyring
| gpg: validate_key_list failed

Downgrading to 1.4.1 makes it work again. This issue (inclusive patch)
is described in
http://groups.google.com/group/linux.debian.bugs.dist/browse_frm/thread/4af65c6ae2efaa16/6a3c45eb7221960a


Version-Release number of selected component (if applicable):

gnupg-1.4.2.1-1
Comment 1 Nalin Dahyabhai 2006-02-20 16:01:54 EST
Pushing a test update for this (1.4.2.1-3).  If there are no new bug reports by
Thursday, I'll move it to a Final update.
Comment 2 Nalin Dahyabhai 2006-07-12 15:35:23 EDT
That did happen.  Must have forgotten to close the bug report.

Note You need to log in before you can comment on or make changes to this bug.